﻿@model IEnumerable<Schedule.Application.ViewModel.UsuarioViewModel>


<head>
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.12/sorting/date-eu.js"></script>
</head>
<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3">

                <a asp-action="Novo" class="btn btn-success"> + Novo</a>
                <a class="btn btn-success" style="color:white" id="gerarexcel"> Exportar</a>
            </div>

            <div class="card-header py-3">

                
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h5 class="m-0 font-weight-bold text-primary">Lista de Usuários </h5>
                
            </div>
            <div class="card-body">
                
                <div style="overflow-x:scroll " >
                    


                    <table id="tbListaUsuarios" class="table  table-bordered tabelaListaSchedule table-">
                        <thead>
                            <tr>
                                <th>Empresa</th>
                                <th>Login</th>
                                <th>Nome</th>
                                <th>Perfil</th>
                                <th>Status</th>
                                <th>Especialidade</th>
                                <th>Senioridade</th>
                                <th>Contratação</th>
                                <th>Início do contrato</th>
                                <th>Fim do contrato</th>
                                <th>Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                        {
                            <tr>
                                <td>@Html.DisplayFor(modelItem => item.EmpresaDescricao)</td>
                                <td>@Html.DisplayFor(modelItem => item.Login)</td>
                                <td>@Html.DisplayFor(modelItem => item.Nome)</td>
                                <td>@Html.DisplayFor(modelItem => item.PerfilDescricao)</td>
                                <td>@Html.DisplayFor(modelItem => item.StatusDescricao)</td>
                                <td>@Html.DisplayFor(modelItem => item.Especialidade)</td>
                                <td>@Html.DisplayFor(modelItem => item.Senioridade)</td>
                                <td>@Html.DisplayFor(modelItem => item.TipoContratacao)</td>
                                <td>@Html.DisplayFor(modelItem => item.DataInicioContrato)</td>
                                <td>@Html.DisplayFor(modelItem => item.DataTerminoContrato)</td>
                                <td class="tdAcao" style="text-align:center">
                                    <a asp-action="Editar" class="btn btn-success" asp-route-id="@item.id">Editar</a>
                                    <button style="display:none" data-id="@item.id" data-codigo="@item.Login" class="delete btn btn-xs btn-danger">Excluir</button>
                                </td>

                            </tr>
                        }
                        </tbody>
                    </table>
                </div>
                <div class="modal" id="Modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Confirmação</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                Deseja Excluir o Registro : <span class="nome"></span>
                            </div>
                            <div class="modal-footer">
                                <a href="#" type="button" class="btn btn-danger delete-yes">Deletar</a>

                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="~/lib/jqueryui/jquery-ui.js"></script>
<script src="~/lib/Mask/jquery.mask.min.js"></script>

<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/Usuario.js")"></script>



